#!/bin/sh
#  Pre-removal script for whereami.
# $Id: whereami.prerm,v 1.4 2005/05/15 09:18:01 andrew Exp $

set -e

case "$1" in
    remove|deconfigure)
	set +e
	[ -L /usr/sbin/whereami ] && rm -f /usr/sbin/whereami
  (
    for DDD in /etc/whereami /var/lib/whereami ; do
      cd "$DDD" || continue
      for F in whereiam.sh iam iwas* whereami.started dhclient3.* iwlist.*; do
        [ -f "$F" ] && rm -f "$F"
      done
    done
  )
	;;
esac

#DEBHELPER#
